Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- f
- g
- i
- k
- m
- n
- o
- p
- q
- r
- s
- t
- x

### - b -

- BOTAN_ARG_CHECK : exceptn.h
- BOTAN_ASSERT : assert.h
- BOTAN_ASSERT_ARG_NON_NULL : ffi.cpp
- BOTAN_ASSERT_EQUAL : assert.h
- BOTAN_ASSERT_IMPLICATION : assert.h
- BOTAN_ASSERT_NOMSG : assert.h
- BOTAN_ASSERT_NONNULL : assert.h
- BOTAN_CHECK_KEY_EXPENSIVE_TESTS : ffi.h
- BOTAN_CHECKED_ADD : safeint.h
- BOTAN_CIPHER_INIT_FLAG_DECRYPT : ffi.h
- BOTAN_CIPHER_INIT_FLAG_ENCRYPT : ffi.h
- BOTAN_CIPHER_INIT_FLAG_MASK_DIRECTION : ffi.h
- BOTAN_CIPHER_UPDATE_FLAG_FINAL : ffi.h
- BOTAN_CLANG_VERSION : compiler.h
- BOTAN_CURRENT_FUNCTION : compiler.h
- BOTAN_DEPRECATED : compiler.h
- BOTAN_FFI_DECLARE_STRUCT : ffi.cpp
- BOTAN_FFI_DO : ffi.cpp
- BOTAN_FFI_ERROR_BAD_FLAG : ffi.h
- BOTAN_FFI_ERROR_EXCEPTION_THROWN : ffi.h
- BOTAN_FFI_ERROR_INSUFFICIENT_BUFFER_SPACE : ffi.h
- BOTAN_FFI_ERROR_NOT_IMPLEMENTED : ffi.h
- BOTAN_FFI_ERROR_NULL_POINTER : ffi.h
- BOTAN_FFI_HEX_LOWER_CASE : ffi.h
- BOTAN_FUNC_ISA : compiler.h
- BOTAN_GCC_VERSION : compiler.h
- BOTAN_NOEXCEPT : compiler.h
- BOTAN_NORETURN : compiler.h
- BOTAN_PARALLEL_FOR : compiler.h
- BOTAN_PARALLEL_SIMD_FOR : compiler.h
- BOTAN_PARALLEL_SPAWN : compiler.h
- BOTAN_PARALLEL_SYNC : compiler.h
- BOTAN_PRIVKEY_EXPORT_FLAG_DER : ffi.h
- BOTAN_PRIVKEY_EXPORT_FLAG_PEM : ffi.h
- BOTAN_UNUSED : assert.h
- BOTAN_VERSION_CODE : version.h
- BOTAN_VERSION_CODE_FOR : version.h
- BOTAN_WARN_UNUSED_RESULT : compiler.h
- BZ_NO_STDIO : bzip2.cpp